# Maintainer: Deron Parker <WkdWeWIyNHVaR1YyUUhCaGNtdGxjbk11WTJNSwo=> # base64 encoded twice

pkgname=deron-util
pkgver=0.17
pkgrel=1
pkgdesc=''
arch=(x86_64)
url=''
# license=('WHATEVER' OR 'custom:unknown')
depends=(pulseaudio)
# makedepends=(rust) # cargo is needed, but should prob use rustup
provides=($pkgname)
conflicts=($pkgname)
source=(
    'trash::git+https://gitlab.com/deronparker/util/trash.git'
    'pactl-scripts::git+https://gitlab.com/deronparker/util/pactl-scripts.git'
    'workspace-watcher::git+https://gitlab.com/deronparker/util/hyprland/workspace-watcher.git'
)
sha512sums=(
    SKIP
    SKIP
    SKIP
)
options=(strip !debug)

pkgver() {
    cd "$srcdir"
    breaking_changes=0

    declare -i revisions=0
    for d in *; do
        cd "$d"
        declare -i new_revs="$(git rev-list --count HEAD)"
        revisions="$((revisions + new_revs))"
        cd ..
    done
    echo -n "$breaking_changes.$revisions"
}

build() {
    (
        cd trash
        cargo build --release
    )
    # (
    # 	cd pactl-scripts
    # )
    (
        cd workspace-watcher
        cargo build --release
    )
}

package() {
    PREFIX="deron"
    install -Dm755 trash/target/release/trash "$pkgdir/usr/local/bin/$PREFIX-trash"
    install -Dm755 pactl-scripts/setvol.sh "$pkgdir/usr/local/bin/$PREFIX-setvol"
    install -Dm755 workspace-watcher/target/release/workspace-watcher "$pkgdir/usr/local/bin/$PREFIX-workspace-watcher"
}
